QCSXCAD-devel-0.6.2-2.1.x86_64.rpm


Advertisement

Description

QCSXCAD-devel - Development files for QCSXCAD

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename QCSXCAD-devel-0.6.2-2.1.x86_64.rpm
Package name QCSXCAD-devel
Package version 0.6.2
Package release 2.1
Package architecture x86_64
Package type rpm
Category Development/Libraries/C and C++
Homepage http://openems.de
License LGPL-3.0-or-later
Maintainer -
Download size 17.70 KB
Installed size 42.27 KB
A Qt-GUI for the CSXCAD library.
This package contains libraries and header files for developing
applications that use QCSXCAD.

Alternatives

Package Version Architecture Repository
QCSXCAD-devel-0.6.2-24.2.x86_64.rpm 0.6.2 x86_64 Science
QCSXCAD-devel-0.6.2-24.2.i586.rpm 0.6.2 i586 Science
QCSXCAD-devel-0.6.2-2.1.i586.rpm 0.6.2 i586 openSUSE Oss
QCSXCAD-devel - - -

Requires

Name Value
libQCSXCAD0 = 0.6.2

Provides

Name Value
QCSXCAD-devel = 0.6.2-2.1
QCSXCAD-devel(x86-64) = 0.6.2-2.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package QCSXCAD-devel-0.6.2-2.1.x86_64.rpm
Source Package QCSXCAD-0.6.2-2.1.src.rpm

Install Howto

Install QCSXCAD-devel rpm package:

# zypper install QCSXCAD-devel

Files

Path
/usr/include/QCSXCAD/QCSGridEditor.h
/usr/include/QCSXCAD/QCSPrimEditor.h
/usr/include/QCSXCAD/QCSPropEditor.h
/usr/include/QCSXCAD/QCSTreeWidget.h
/usr/include/QCSXCAD/QCSXCAD.h
/usr/include/QCSXCAD/QCSXCAD_Global.h
/usr/include/QCSXCAD/QParameterGui.h
/usr/include/QCSXCAD/QVTKStructure.h
/usr/include/QCSXCAD/VTKPrimitives.h
/usr/include/QCSXCAD/export_pov.h
/usr/include/QCSXCAD/export_x3d.h
/usr/include/QCSXCAD/vtkInteractorStyleRubberBand2DPlane.h
/usr/lib64/libQCSXCAD.so

Changelog

2019-04-04 - Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Add explicit devel BuildRequires for glew, lzma and double-conversion
2018-12-14 - Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 0.6.2
* cmake: fix vtk include dirs
* fix vtk polydata exports
- Add QCSXCAD-vtk.patch - fix build on TW, avoid implicitly requiring
all VTK modules, leading to missing libraries.
2018-06-18 - stefan.bruens@rwth-aachen.de
- Fix build with Qt5.11, cmake qt5_use_modules has been removed.
Add qt5_use_modules.diff.
- Use Qt5 on all releases, as VTK uses Qt5 everywhere as well.
2017-11-17 - stefan.bruens@rwth-aachen.de
- Change the Qt BuildRequires: for older distributions, Leap 42.x
has a VTK build with Qt4, use the same conditional as the VTK
package (i.e. Qt4 on Leap 42.x, Qt5 on TW and Leap 15.x)
2017-11-01 - stefan.bruens@rwth-aachen.de
- Add explicit BuildRequires for Qt5Sql/Qt5Widgets devel packages,
as these are no longer implicitly required by vtk-devel
2016-08-26 - jengelh@inai.de
- Update description, and license field to LGPL-3.0+.
2016-08-26 - dmitry_r@opensuse.org
- Update to version 0.6.1
* Bugfix release
- Drop obsolete
* QCSXCAD-vtk.patch
* QCSXCAD-vtk7-support.patch
2016-03-21 - dmitry_r@opensuse.org
- Fix build with VTK 7
* QCSXCAD-vtk7-support.patch
2015-11-08 - dmitry_r@opensuse.org
- Initial package, version 0.6.0
- Remove build time from binaries
* QCSXCAD-no-build-date.patch
- Fix build with VTK 6.3
* QCSXCAD-vtk.patch

See Also

Package Description
QGnomePlatform-0.5-1.3.i586.rpm A better Qt application inclusion in GNOME
QGnomePlatform-0.5-1.3.x86_64.rpm A better Qt application inclusion in GNOME
QGnomePlatform-32bit-0.5-1.3.x86_64.rpm A better Qt application inclusion in GNOME
QMPlay2-18.07.03-2.2.i586.rpm A Qt based media player, streamer and downloader
QMPlay2-18.07.03-2.2.x86_64.rpm A Qt based media player, streamer and downloader
QMPlay2-devel-18.07.03-2.2.i586.rpm QMPlay2 development files
QMPlay2-devel-18.07.03-2.2.x86_64.rpm QMPlay2 development files
QtAV-1.12.0-2.9.i586.rpm Qt multimedia framework
QtAV-1.12.0-2.9.x86_64.rpm Qt multimedia framework
QtAV-devel-1.12.0-2.9.i586.rpm QtAV development files
QtAV-devel-1.12.0-2.9.x86_64.rpm QtAV development files
QtAV-players-1.12.0-2.9.i586.rpm QtAV/QML players
QtAV-players-1.12.0-2.9.x86_64.rpm QtAV/QML players
QtAV-qml-1.12.0-2.9.i586.rpm QtAV QML module
QtAV-qml-1.12.0-2.9.x86_64.rpm QtAV QML module
Advertisement
Advertisement